Has patch: Hito:
Add-on name: Unknown
Description

The "Random vector layer" and "Random DEM" geoprocesses don't load their results in the view.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3806: Spatial join geopr... Closed 10/07/2015
Related to Application: gvSIG desktop - gvSIG bugs # 4098: Geometry type of S... Closed 02/08/2016

Associated revisions
Revision 174 - 02/12/2016 11:06 AM - Daniel Martinez

refs #3838 The geoms generated were created with 3 coordinates and transformed to 3D geoms, although the layer was 2D. Now the third coordinate
is a NaN in 2D layers.

History
#1 - 11/02/2015 04:14 PM - Álvaro Anguix
- Assignee set to Daniel Martinez

Me crea una capa en el TOC, con atributos pero en la Vista no muestra geometrías.

#2 - 11/02/2015 04:14 PM - Álvaro Anguix
- Related to gvSIG bugs #3806: Spatial join geoprocess results are not correct (points and polygons) added

#3 - 11/04/2015 12:34 PM - Antonio Falciano

The output of "Random DEM" is correctly loaded in build 2408, while random vector layers not. Furthermore, the random vector layers are generated in
the tmp-andami folder but gvSIG considers them as invalid layer (according to the validate_layer script, all the records are without geometry). But I can
load them in other clients without problems.

#4 - 01/04/2016 10:37 AM - Antonio Falciano

More in detail, the random vector layers are not loaded because gvSIG is attempting to write 3D geometries instead of 2D ones:
INFO pool-2-thread-1 org.gvsig.fmap.dal.impl.DefaultDataManager - openStore('Shape','DynClass name: SHPStoreParameters;  Fields:
[shxFile = null, allowInconsistenciesInGeometryType = false, dbfFile = null, CRS = org.gvsig.crs.Crs(447.666.834,EPSG:4326),
useNullGeometry = false, shpFile = C:\Users\Antonio\AppData\Local\Temp\tmp-andami\14518998610560.shp]')
WARN pool-2-thread-1 org.gvsig.fmap.dal.store.shp.utils.SHPFileWrite - Saving a geometry of type 'POINT3D' in a shape of type 'POINT2D'.
WARN pool-2-thread-1 org.gvsig.fmap.dal.store.shp.utils.SHPFileWrite - Saving a geometry of type 'POINT3D' in a shape of type 'POINT2D'.
WARN pool-2-thread-1 org.gvsig.fmap.dal.store.shp.utils.SHPFileWrite - Saving a geometry of type 'POINT3D' in a shape of type 'POINT2D'.
WARN pool-2-thread-1 org.gvsig.fmap.dal.store.shp.utils.SHPFileWrite - Saving a geometry of type 'POINT3D' in a shape of type 'POINT2D'.
WARN pool-2-thread-1 org.gvsig.fmap.dal.store.shp.utils.SHPFileWrite - Saving a geometry of type 'POINT3D' in a shape of type 'POINT2D'.
WARN pool-2-thread-1 org.gvsig.fmap.dal.store.shp.utils.SHPFileWrite - Saving a geometry of type 'POINT3D' in a shape of type 'POINT2D'.
WARN pool-2-thread-1 org.gvsig.fmap.dal.store.shp.utils.SHPFileWrite - Saving a geometry of type 'POINT3D' in a shape of type 'POINT2D'.
WARN pool-2-thread-1 org.gvsig.fmap.dal.store.shp.utils.SHPFileWrite - Saving a geometry of type 'POINT3D' in a shape of type 'POINT2D'.
WARN pool-2-thread-1 org.gvsig.fmap.dal.store.shp.utils.SHPFileWrite - Saving a geometry of type 'POINT3D' in a shape of type 'POINT2D'.
WARN pool-2-thread-1 org.gvsig.fmap.dal.store.shp.utils.SHPFileWrite - Saving a geometry of type 'POINT3D' in a shape of type 'POINT2D'.
INFO pool-2-thread-1 es.unex.sextante.core.SextanteLogHandler - Executing command: extent( 0.0, 0.0, 0.0, 90.0, 90.0, 0.0, 1.0, 1.0)
Executing command: runalg("randomvector", "10", "2", "#")
Starting algorithm execution...:4-gen-2016 10.31.01
Finished algorithm execution:4-gen-2016 10.31.01
Execution time (millisecs):116

Instead, the Random DEM result is not loaded in build 2413 because of #3952.

#5 - 02/08/2016 11:03 AM - Antonio Falciano
- Target version set to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)

The "Random vector layer" geoprocess doesn't work in the latest builds (2421 at the time of writing) because of feature/shape type mismatch (saving
3D geometries in a 2D shape), while "Random DEM" works fine since build 2415.
It seems that shape types in geoprocesses needs to be remapped again after the recent updates introduced in gvSIG 2.3, so this issue can affect also
other geoprocesses.

#6 - 02/09/2016 01:11 PM - Antonio Falciano

In fact, if I try to load the result of "Random vector layer" in a view from the tmp-andami folder, it's loaded in the ToC, but not visible in the view. And
there's the following warning in the gvSIG.log:

[...] Geometry type of Shape (1) does not match the geometry found (11) in the shape [...]

i.e. the same issue that happens also with other SEXTANTE geoprocesses (for instance, #4098).

#7 - 02/10/2016 12:11 PM - Álvaro Anguix
- Related to gvSIG bugs #4098: Geometry type of Shape does not match the geometry found in the shape added

#8 - 02/11/2016 07:57 AM - Daniel Martinez
- Status changed from New to In progress

#9 - 02/12/2016 12:51 PM - Daniel Martinez
- Status changed from In progress to Fixed

#10 - 02/12/2016 03:45 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2422 (rev. org.gvsig.desktop-2.0.128)

#11 - 02/15/2016 01:45 PM - Álvaro Anguix
- Status changed from Fixed to New

#12 - 02/15/2016 04:55 PM - Antonio Falciano
- Target version changed from 2.3.0-2422 (rev. org.gvsig.desktop-2.0.128) to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)

It seems that the fix was not applied here. Same error also in build 2422.

Note: this ticket and #4098 are substantially the same.

#13 - 02/16/2016 09:09 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2423 (rev. org.gvsig.desktop-2.0.129)

Parece que en el proceso de generacion no actualice la dependencia entre el plugin de geoprocesos y la libreria de toolbox, asi que no se ha llevado
los cambios de la ultima version de toolbox.

#14 - 02/16/2016 06:45 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2423 (rev. org.gvsig.desktop-2.0.129) to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)

#15 - 02/27/2016 11:42 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2426 (rev. org.gvsig.desktop-2.0.132,  NOT USABLE) 
- Status changed from New to Fixed

#16 - 03/14/2016 11:06 AM - Antonio Falciano
- Status changed from Fixed to Closed
